Attribute VB_Name = "Module1"
Dim fMainForm As frmMain
' This is the callback for the Sort Solution Library
Public Function MySortCallback(ByVal Code As Long, ByVal StatusData As Long, ByVal Extra As Long) As Long
    Select Case Code
    Case SORTSOL_NOTIFY_SORTPERCENTAGE
        ' Update the sort progress bar
        fMainForm.ProgressSort.Value = StatusData
    
    Case SORTSOL_NOTIFY_MERGEPERCENTAGE
        ' Update the merge progress bar
        fMainForm.ProgressMerge.Value = StatusData
    End Select
    
    ' This statement yields the execution to the Visual Basic
    ' runtime and allows the processing of all pending messages,
    ' e.g. the update of the progress bars
    DoEvents
    
    MySortCallback = 1
End Function

Sub Main()
    Set fMainForm = New frmMain
    fMainForm.Show
End Sub



